import { SvelteComponentTyped } from "svelte";
import type { WebPlaybackPlayer, WebPlaybackState } from './types';
declare const __propDef: {
    props: {
        /**
           * Spotify client_id for authentication
           */ client_id: string;
        /**
           * Redirect uri for authorization, use the uri where you will use this component.
           */ redirect_uri?: string;
        /**
           * Scopes list
           */ scopes?: string[];
        /**
           * Used to mitigate cross-site request forgery attacks.
           */ state?: string;
        /**
           * Player name
           */ name?: string;
        /**
           * Player volume
           */ volume?: number;
        login?: () => void;
        logout?: () => void;
        selectDevice?: () => void;
    };
    events: {
        [evt: string]: any;
    };
    slots: {
        loading: {};
        error: {
            error: {
                type: string;
                message: string;
            };
        };
        waiting: {};
        player: {
            player: WebPlaybackPlayer;
            state: WebPlaybackState;
        };
        logout: {};
        login: {};
    };
};
export declare type IndexProps = typeof __propDef.props;
export declare type IndexEvents = typeof __propDef.events;
export declare type IndexSlots = typeof __propDef.slots;
/** Spotify Web Playback */
export default class Index extends SvelteComponentTyped<IndexProps, IndexEvents, IndexSlots> {
    get login(): () => void;
    get logout(): () => void;
    get selectDevice(): () => void;
}
export {};
